%define	version	0.4.1
%define release	1mdk

Summary:	Mozilla plugin for displaying various kinds of file
Name:		mozilla-bonobo
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
URL:		http://www.nongnu.org/moz-bonobo/
Source:		http://savannah.nongnu.org/download/moz-bonobo/%{name}-%{version}.tar.gz
Source1:	http://savannah.nongnu.org/download/moz-bonobo/%{name}-%{version}.tar.gz.sig
# (abel) 0.4.1-1mdk Build with firefox instead
Patch0:		mozilla-bonobo-0.4.1-firefox.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mozilla-firefox-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprint2-2-devel
BuildRequires:	automake1.8
Prereq:		GConf2 >= 2.3.3

%description
%{name} is a netscape-compatible browser plugin which allows your
browser to use bonobo controls to display supported mime types.

%prep
%setup -q
%patch0 -p1 -b .firefox

# need by patch
%__libtoolize -c -f
AUTOMAKE=automake-1.8 ACLOCAL=aclocal-1.8 autoreconf --force --install

%build
%configure2_5x \
	--with-plugin-install-dir=%{_libdir}/mozilla/plugins
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# move pre-installed doc to correct location
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_prefix}/doc/%{name} %{buildroot}%{_docdir}/%{name}-%{version}
rmdir %{buildroot}%{_prefix}/doc

pushd %{buildroot}%{_docdir}/%{name}-%{version} >/dev/null
rm -f COPYING ABOUT-NLS INSTALL
popd > /dev/null

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in %{name}; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in %{name}; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
  done
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/mozilla/plugins/*.so

%changelog
* Fri Mar 25 2005 Abel Cheung <deaddog@mandrake.org> 0.4.1-1mdk
- New release
- P0: Link with firefox instead of mozilla

* Fri Feb 06 2004 Abel Cheung <deaddog@deaddog.org> 0.4.0-1mdk
- First Mandrake package
